Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaClassRegistryChangeEvent

    java.lang.Object
      java.util.EventObject
          groovy.lang.MetaClassRegistryChangeEvent

All Implemented Interfaces:
  Serializable

    public class MetaClassRegistryChangeEvent
    extends EventObject

An event used to propagate meta class updates

Author:
  Jochen Theodorou
See Also:
  Serialized Form

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
Constructor and Description
`MetaClassRegistryChangeEvent(Object source, Class clazz, MetaClass metaClass)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`Class` | `getClassToUpdate()`
`MetaClass` | `getNewMetaClass()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaClassRegistryChangeEvent

    public MetaClassRegistryChangeEvent(Object source,
                                        Class clazz,
                                        MetaClass metaClass)

Method Detail

### getClassToUpdate

    public Class getClassToUpdate()

### getNewMetaClass

    public MetaClass getNewMetaClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD